(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('ng2-truncate'), require('hyper-jobs-services'), require('@angular/core'), require('rxjs/Rx'), require('@angular/http'), require('@angular/router'), require('@angular/material'), require('@angular/forms'), require('@angular/common'), require('@angular/platform-browser'), require('ngx-infinite-scroll'), require('ngx-toastr')) :
	typeof define === 'function' && define.amd ? define(['exports', 'ng2-truncate', 'hyper-jobs-services', '@angular/core', 'rxjs/Rx', '@angular/http', '@angular/router', '@angular/material', '@angular/forms', '@angular/common', '@angular/platform-browser', 'ngx-infinite-scroll', 'ngx-toastr'], factory) :
	(factory((global['hyper-jobs-search-component'] = {}),global.ng2Truncate,global.hyperJobsServices,global.core,global.Rx,global.http,global.router,global.material,global.forms,global.common,global.platformBrowser,global.ngxInfiniteScroll,global.ngxToastr));
}(this, (function (exports,ng2Truncate,hyperJobsServices,core,Rx,http,router,material,forms,common,platformBrowser,ngxInfiniteScroll,ngxToastr) { 'use strict';

// import { environment } from './../../environments/environment';
var SearchService = (function () {
    /**
     * @param {?} http
     * @param {?} environment
     * @param {?} _hyperCookieService
     */
    function SearchService(http$$1, environment, _hyperCookieService) {
        this.http = http$$1;
        this.environment = environment;
        this._hyperCookieService = _hyperCookieService;
        this.headers = new http.Headers({
            'accept-language': 'pt-BR',
            'Content-Type': 'application/json'
        });
    }
    /**
     * @param {?} searchValue
     * @param {?=} filter
     * @return {?}
     */
    SearchService.prototype.searchPro = function (searchValue, filter) {
        if (filter === void 0) { filter = {}; }
        if (Object.keys(filter).length === 0 && filter.constructor === Object) {
            filter['city'] = 'all';
            filter['occupation'] = 'all';
            filter['field'] = 'all';
            filter['order'] = 'all';
            filter['page'] = 1;
            filter['interest'] = 'all';
            filter['avaliation'] = 'any';
        }
        var /** @type {?} */ options = new http.RequestOptions({ headers: this.headers }); // Create a request option
        // tslint:disable-next-line:max-line-length
        return this.http.get(this.environment.apiUrl + 'job/professional/search/' + searchValue + '/' + filter['city'] + '/' + filter['occupation'] + '/' + filter['field'] + '/' + filter['order'] + '/' + filter['page'] + '/' + filter['interest'] + '/' + filter['avaliation'], options)
            .map(function (res) { return res.json(); })
            .catch(function (err) { return Rx.Observable.throw(err.json().error || 'Server error'); });
    };
    /**
     * @param {?} searchValue
     * @param {?=} filter
     * @return {?}
     */
    SearchService.prototype.searchJob = function (searchValue, filter) {
        if (filter === void 0) { filter = {}; }
        if (Object.keys(filter).length === 0 && filter.constructor === Object) {
            filter['language'] = 'all';
            filter['jobtype'] = 'all';
            filter['field'] = 'all';
            filter['order'] = 'all';
            filter['page'] = 1;
            filter['city'] = 'all';
            filter['avaliation'] = 'any';
            filter['location'] = 'national';
            filter['interest'] = 'all';
            filter['posted'] = 'all';
        }
        var /** @type {?} */ options = new http.RequestOptions({ headers: this.headers }); // Create a request option
        // [*:search]/[:category]/[:subcategory]/[:wageformat]/[:language]/[:jobtype]/[:field]/[:order]/[:page]/[:interest]/[:city]/[:rating]
        return this.http
            .get(this.environment.apiUrl + 'job/sponsor/search/' + searchValue
            + '/' + filter['language'] + '/' + filter['jobtype']
            + '/' + filter['field'] + '/' + filter['order']
            + '/' + filter['page'] + '/' + filter['interest']
            + '/' + filter['city'] + '/' + filter['avaliation'], options)
            .map(function (res) { return res.json(); })
            .catch(function (err) { return Rx.Observable.throw(err.json().error || 'Server error'); });
    };
    /**
     * @return {?}
     */
    SearchService.prototype.allCities = function () {
        var /** @type {?} */ options = new http.RequestOptions({ headers: this.headers }); // Create a request option
        return this.http
            .get(this.environment.apiUrl + 'all/address', options)
            .map(function (res) { return res.json(); })
            .catch(function (err) { return Rx.Observable.throw(err.json().error || 'Server error'); });
    };
    /**
     * @return {?}
     */
    SearchService.prototype.getCategories = function () {
        var /** @type {?} */ options = new http.RequestOptions({ headers: this.headers }); // Create a request option
        return this.http
            .get(this.environment.apiUrl + 'shared/category', options)
            .map(function (res) { return res.json(); })
            .catch(function (err) { return Rx.Observable.throw(err.json().error || 'Server error'); });
    };
    /**
     * @param {?} id
     * @return {?}
     */
    SearchService.prototype.getSubCategories = function (id) {
        var /** @type {?} */ options = new http.RequestOptions({ headers: this.headers }); // Create a request option
        return this.http
            .get(this.environment.apiUrl + 'shared/subcategory/' + id, options)
            .map(function (res) { return res.json(); })
            .catch(function (err) { return Rx.Observable.throw(err.json().error || 'Server error'); });
    };
    /**
     * @param {?} obj
     * @return {?}
     */
    SearchService.prototype.competeJobsPartner = function (obj) {
        var /** @type {?} */ headersAux = new http.Headers({
            'Authorization': 'Bearer ' + this._hyperCookieService.getCookie().JWT,
            'accept-language': 'pt-BR',
            'Content-Type': 'application/json'
        });
        var /** @type {?} */ options = new http.RequestOptions({ headers: headersAux }); //  Create a request option
        return this.http
            .post(this.environment.apiUrl + 'job/competejob/jobspartner', JSON.stringify(obj), options)
            .map(function (res) { return res.json(); })
            .catch(function (err) { return Rx.Observable.throw(err.json().error || 'Server error'); });
    };
    /**
     * @param {?} filters
     * @return {?}
     */
    SearchService.prototype.getZipRecruiter = function (filters) {
        var /** @type {?} */ auxFilters = {
            search: filters.search ? filters.search : 'home',
            location: filters.location ? filters.location : 'all',
            radius_miles: filters.radius_miles ? filters.radius_miles : 'all',
            page: filters.page ? filters.page : '1',
            jobs_per_page: filters.jobs_per_page ? filters.jobs_per_page : '20',
            days_ago: filters.days_ago ? filters.days_ago : 'all',
        };
        var /** @type {?} */ options = new http.RequestOptions({ headers: this.headers }); // Create a request option
        return this.http
            .get(this.environment.apiUrl + 'job/filter/jobspartner/'
            + auxFilters.search + '/'
            + auxFilters.location + '/'
            + auxFilters.radius_miles + '/'
            + auxFilters.page + '/'
            + auxFilters.jobs_per_page + '/'
            + auxFilters.days_ago, options)
            .map(function (res) { return res.json(); })
            .catch(function (err) { return Rx.Observable.throw(err.json().error || 'Server error'); });
    };
    return SearchService;
}());
SearchService.decorators = [
    { type: core.Injectable },
];
/**
 * @nocollapse
 */
SearchService.ctorParameters = function () { return [
    { type: http.Http, },
    { type: undefined, decorators: [{ type: core.Inject, args: ['environments',] },] },
    { type: hyperJobsServices.HyperCookieService, },
]; };

var FilterJobComponent = (function () {
    /**
     * @param {?} _searchService
     */
    function FilterJobComponent(_searchService) {
        var _this = this;
        this._searchService = _searchService;
        this.filterOutput = new core.EventEmitter();
        this.subscribeAllCities = new Rx.Subscription;
        this.toggle_categories = new Rx.Subscription;
        this.toggle_subcategories = new Rx.Subscription;
        // objects
        this.filter = {};
        this.city = '';
        this.categories = [];
        this.idCategory = -1;
        this.subcategories = [];
        this.subSelected = [];
        hyperJobsServices.BroadcastEventService.event('clearFilter').subscribe(function (answer) {
            if (answer) {
                _this.filterInit();
                _this.subSelected = [];
                _this.subcategories = [];
                _this.idCategory = -1;
            }
        });
        this.toggle_categories = this._searchService.getCategories().subscribe(function (response) {
            if (response.return) {
                // this._toastrService.success(response.msg, 'Sucesso');
                // o que fazer
                _this.categories = response.data;
            }
            else {
                // this._toastrService.error(response.msg, 'Erro!');
            }
        }, function (err) {
            // this._toastrService.error('Aconteceu algo inesperado', 'Erro');
        });
    }
    /**
     * @return {?}
     */
    FilterJobComponent.prototype.ngOnInit = function () {
        this.cities();
        this.filterInit();
    };
    /**
     * @return {?}
     */
    FilterJobComponent.prototype.ngOnDestroy = function () {
        this.subscribeAllCities.unsubscribe();
        this.toggle_categories.unsubscribe();
        this.toggle_subcategories.unsubscribe();
    };
    /**
     * @return {?}
     */
    FilterJobComponent.prototype.filterInit = function () {
        this.filter['language'] = 'all';
        this.filter['jobtype'] = 'all';
        this.filter['field'] = 'all';
        this.filter['order'] = 'all';
        this.filter['page'] = 1;
        this.filter['city'] = 'all';
        this.filter['avaliation'] = 'any';
        this.filter['location'] = 'national';
        this.filter['interest'] = 'all';
        this.filter['posted'] = 'all';
    };
    /**
     * @return {?}
     */
    FilterJobComponent.prototype.cities = function () {
        var _this = this;
        this.subscribeAllCities = this._searchService.allCities().subscribe(function (data) {
            if (data.return) {
                _this.allCities = data.data;
            }
        });
    };
    /**
     * @param {?} value
     * @param {?=} maxResults
     * @return {?}
     */
    FilterJobComponent.prototype.citiesSearch = function (value, maxResults) {
        if (maxResults === void 0) { maxResults = 10; }
        if (value === '' && this.filter['city'] !== 'all') {
            this.filter['city'] = 'all';
            this.listCities = [];
            this.filterOutput.emit(this.filter);
            return;
        }
        if (value === '') {
            this.listCities = [];
            return;
        }
        var /** @type {?} */ result = [];
        for (var /** @type {?} */ index = 0; index < this.allCities.length; index++) {
            var /** @type {?} */ re = new RegExp(value, 'i');
            if (re.test(this.allCities[index].city)) {
                result.push(this.allCities[index]);
                if (result.length === maxResults) {
                    break;
                }
            }
        }
        this.listCities = result;
    };
    /**
     * @return {?}
     */
    FilterJobComponent.prototype.selectCity = function () {
        this.filter['city'] = this.city || 'all';
        this.filterOutput.emit(this.filter);
        console.log(this.filter);
        this.listCities = null;
    };
    /**
     * @param {?} location
     * @return {?}
     */
    FilterJobComponent.prototype.SetJobLocation = function (location) {
        this.filter['location'] = location;
        this.filterOutput.emit(this.filter);
        console.log(this.filter);
    };
    /**
     * @param {?} type
     * @return {?}
     */
    FilterJobComponent.prototype.SetJobType = function (type) {
        this.filter['jobtype'] = type;
        this.filterOutput.emit(this.filter);
        // console.log(this.filter);
    };
    /**
     * @return {?}
     */
    FilterJobComponent.prototype.setAllCategories = function () {
        this.subSelected = [];
        this.subcategories = [];
        this.idCategory = -1;
        // this.filterInit();
        this.filterOutput.emit(this.filter);
        console.log(this.filter);
    };
    /**
     * @param {?} id
     * @return {?}
     */
    FilterJobComponent.prototype.getSubcategories = function (id) {
        var _this = this;
        if (this.idCategory !== id) {
            this.subSelected = [];
            this.idCategory = id;
            this.toggle_subcategories = this._searchService.getSubCategories(id).subscribe(function (response) {
                if (response.return) {
                    // this._toastrService.success(response.msg, 'Sucesso');
                    // o que fazer
                    _this.subcategories = response.data;
                }
                else {
                    // this._toastrService.error(response.msg, 'Erro!');
                }
            }, function (err) {
                // this._toastrService.error('Aconteceu algo inesperado', 'Erro');
            });
        }
    };
    /**
     * @param {?} id
     * @return {?}
     */
    FilterJobComponent.prototype.getInterests = function (id) {
        var /** @type {?} */ haveId = this.subSelected.indexOf(id);
        if (haveId >= 0) {
            this.subSelected.splice(haveId, 1);
            if (this.subSelected.length < 1) {
                this.filter['interest'] = 'all';
            }
        }
        else {
            this.subSelected.push(id);
            this.filter['interest'] = this.subSelected.toString().replace(',', ' ');
        }
        this.filterOutput.emit(this.filter);
    };
    /**
     * @param {?} grade
     * @return {?}
     */
    FilterJobComponent.prototype.setAvaliation = function (grade) {
        this.filter['avaliation'] = grade;
        this.filterOutput.emit(this.filter);
        console.log(this.filter);
    };
    /**
     * @param {?} day
     * @return {?}
     */
    FilterJobComponent.prototype.setPosted = function (day) {
        this.filter['posted'] = day;
        this.filterOutput.emit(this.filter);
    };
    return FilterJobComponent;
}());
FilterJobComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'app-filter-job',
                template: "<div class=\"filterBlock\"> <div class=\"cityBlock block\"> <label for=\"cityFilter\">Filtrar por Cidade</label> <div class=\"inputBlock\"> <input id=\"cityFilter\" [(ngModel)]=\"city\" type=\"text\" name=\"city\" (keypress)=\"citiesSearch(city)\" (keyup.enter)=\"selectCity()\" placeholder=\"Ex.: São Paulo\"> <button (click)=\"selectCity()\"> <i class=\"fa fa-search\" aria-hidden=\"true\"></i> </button> </div> <div class=\"resultsCities\" *ngIf=\"listCities\"> <ul class=\"citiesList\"> <ng-container *ngFor=\"let item of listCities\"> <li class=\"city\" (click)=\"selectCity(item.city); city = item.city \">{{ [item.city,item.uf,item.coutry].join(', ') }}</li> </ng-container> </ul> </div> </div> <div class=\"localizationBlock block\"> <label for=\"localizationFilter\">Localização da vaga</label> <div id=\"localizationFilter\"> <div class=\"pointer\" [ngClass]=\"filter['location'] === 'national' ? 'option-active' : ''\" (click)=\"SetJobLocation('national')\">Vagas Nacionais</div> <div class=\"pointer\" [ngClass]=\"filter['location'] === 'international' ? 'option-active' : ''\" (click)=\"SetJobLocation('international')\">Vagas Internacionais</div> </div> </div> <div class=\"typeBlock block\" *ngIf=\"filter['location'] === 'national'\"> <label for=\"typeFilter\">Tipo de Job</label> <div id=\"typeFilter\"> <div class=\"pointer\" [ngClass]=\"filter['jobtype'] === 'all' ? 'option-active' : ''\" (click)=\"SetJobType('all')\">Todos</div> <div class=\"pointer\" [ngClass]=\"filter['jobtype'] === 'online' ? 'option-active' : ''\" (click)=\"SetJobType('online')\">Home Office</div> <div class=\"pointer\" [ngClass]=\"filter['jobtype'] === 'offline' ? 'option-active' : ''\" (click)=\"SetJobType('offline')\">Presencial</div> </div> </div> <div class=\"InterestsBlock  block\" *ngIf=\"filter['location'] === 'national'\"> <label for=\"interestFilter\">Área de interesse</label> <div id=\"interestFilter\"> <div class=\"pointer\" [ngClass]=\"idCategory === -1 ? 'option-active' : ''\" (click)=\"setAllCategories()\"> Todas as Áreas </div> <ng-container *ngFor=\"let category of categories\"> <div class=\"pointer\" [ngClass]=\"idCategory === category.id ? 'option-active' : ''\" (click)=\"getSubcategories(category.id)\"> {{category.description}} </div> <ng-container *ngIf=\"idCategory === category.id\"> <div class=\"checkbox-container\"> <div class=\"subcategory\" *ngFor=\"let subcategory of subcategories\"> <input [id]=\"subcategory.id\" type=\"checkbox\" class=\"checkbox-hj\" (change)=\"getInterests(subcategory.id)\" value=\"subcategory.id\"> <label [for]=\"subcategory.id\" class=\"checkbox-hj-label\">{{subcategory.description}}</label> </div> </div> </ng-container> </ng-container> </div> </div> <div class=\"AvaliationBlock  block\" *ngIf=\"filter['location'] === 'national'\"> <label for=\"avaliationFilter\">Avaliação</label> <div id=\"avaliationFilter\"> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === 'any' ? 'option-active' : ''\" (click)=\"setAvaliation('any')\">Qualquer Ranking</div> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === '5' ? 'option-active' : ''\" (click)=\"setAvaliation('5')\">5 estrelas</div> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === '4' ? 'option-active' : ''\" (click)=\"setAvaliation('4')\">Pelo menos 4 estrelas</div> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === '3' ? 'option-active' : ''\" (click)=\"setAvaliation('3')\">Pelo menos 3 estrelas</div> </div> </div> <div class=\"PostedBlock  block\" *ngIf=\"filter['location'] === 'international'\"> <label for=\"PostedFilter\">Postado</label> <div id=\"PostedFilter\"> <div class=\"pointer\" [ngClass]=\"filter['posted'] === 'all' ? 'option-active' : ''\" (click)=\"setPosted('all')\">Qualquer Dia</div> <div class=\"pointer\" [ngClass]=\"filter['posted'] === '30' ? 'option-active' : ''\" (click)=\"setPosted('30')\">Há 30 dias atrás</div> <div class=\"pointer\" [ngClass]=\"filter['posted'] === '10' ? 'option-active' : ''\" (click)=\"setPosted('10')\">Há 10 dias atrás</div> <div class=\"pointer\" [ngClass]=\"filter['posted'] === '5' ? 'option-active' : ''\" (click)=\"setPosted('5')\">Há 5 dias atrás</div> <div class=\"pointer\" [ngClass]=\"filter['posted'] === '1' ? 'option-active' : ''\" (click)=\"setPosted('1')\">Há 1 dias atrás</div> </div> </div> </div>",
                styles: ["label { width: 100%; color: #575757; margin: 10px 0; text-align: left; } .block { border-bottom: 1px solid #999; padding: 30px; } .filterBlock { background-color: #fff; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); } .inputBlock { position: relative; } .inputBlock input { width: 100%; padding: 15px; height: 40px; } .inputBlock button { position: absolute; right: 0; bottom: 0; top: 0; width: 40px; background-color: #007acc; border: none; outline: none; } .inputBlock button i { color: #fff; } .resultsCities { position: relative; } .resultsCities .citiesList { position: absolute; z-index: 1; width: 100%; background-color: #fff; list-style: none; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); } .resultsCities .citiesList .city { padding: 10px 20px; text-align: left; cursor: pointer; } .resultsCities .citiesList .city:hover { font-weight: bold; } .option-active{ color: #41c5d2; font-weight: bold; } .pointer{ cursor: pointer; } .InterestsBlock ul li { font-size: 12px; } .btn-clear { text-align: center; } "]
            },] },
];
/**
 * @nocollapse
 */
FilterJobComponent.ctorParameters = function () { return [
    { type: SearchService, },
]; };
FilterJobComponent.propDecorators = {
    'filterOutput': [{ type: core.Output },],
};

var ResultJobComponent = (function () {
    /**
     * @param {?} environment
     * @param {?} _searchService
     * @param {?} router
     */
    function ResultJobComponent(environment, _searchService, router$$1) {
        this.environment = environment;
        this._searchService = _searchService;
        this.router = router$$1;
        this.vacanciesFilter = new Rx.Subscription;
    }
    /**
     * @param {?} job
     * @return {?}
     */
    ResultJobComponent.prototype.moreLessDetails = function (job) {
        job.truncated = !job.truncated;
        if (job.truncated) {
            job.truncateText = ' Ver mais';
        }
        else {
            job.truncateText = ' Ver menos';
        }
    };
    /**
     * @param {?} source
     * @param {?} urlParthner
     * @param {?} id
     * @return {?}
     */
    ResultJobComponent.prototype.redirect_correctJob = function (source, urlParthner, id) {
        if (source === 'Hyper.Jobs') {
            var /** @type {?} */ urlRedirect = this.environment.jobsOpportunitiesURL + 'worker/jobs/vacancies/details/' + id;
            window.open(urlRedirect);
        }
        else {
            var /** @type {?} */ objPartner = {
                'id': id,
                'link': urlParthner,
                'source': source
            };
            this.vacanciesFilter = this._searchService.competeJobsPartner(objPartner).subscribe(function (response) {
                if (response.return) {
                    // location.href = urlParthner;
                    window.open(urlParthner, '_blank');
                }
            });
        }
    };
    /**
     * @param {?} value
     * @return {?}
     */
    ResultJobComponent.prototype.isZero = function (value) {
        var /** @type {?} */ aux = 0;
        if (value) {
            aux = (value.split('.').join('')).split(',').join('');
        }
        return Number(aux);
    };
    return ResultJobComponent;
}());
ResultJobComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'search-result-job',
                template: "<span *ngIf=\"filter['location']!=='international'\"> <mat-card class=\"card-job pointer\" *ngFor=\"let job of result; let index = index;\" (click)=\"redirect_correctJob(job.source,job.urlParthner,job.id)\"> <mat-card-header> <mat-card-title> <div class=\"job-title\">{{job.name}}</div> <div class=\"viewsBlock\"> <span class=\"rating\"> <i class=\"fa fa-star{{ job.rating < 1?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{ job.rating < 2?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{ job.rating < 3?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{ job.rating < 4?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{ job.rating < 5?'-o':'' }}\" aria-hidden=\"true\"></i> </span> <span class=\"views\"> <i class=\"fa fa-eye\" aria-hidden=\"true\"></i> {{job.views}} </span> </div> <div>{{ job.jobType == 'online' ? 'HOME OFFICE' : 'PRESENCIAL' }} - <span class=\"job-price\" *ngIf=\"isZero(job.salary)!== 0\">{{ job.coin_symbol }}: {{ job.salary }}</span> <span class=\"job-price\" *ngIf=\"isZero(job.salary)=== 0\">A COMBINAR</span> </div> </mat-card-title> </mat-card-header> <mat-card-content> <div class=\"section-description-title\">DESCRIÇÃO DO JOB</div> <div class=\"job-description\"> <span [innerHTML]=\"job.description | truncate: [job.truncated ? '170' : 'job.description.length']\"></span> <a *ngIf=\"job.needTruncate\" class=\"truncate\" (click)=\"moreLessDetails(job)\">{{job.truncateText}}</a> </div> <div class=\"card-footer\"> <div>Categoria: {{ job.category }} | Subcategoria: {{ job.subcategory }}</div> </div> </mat-card-content> </mat-card> </span> <span *ngIf=\"filter['location']==='international'\"> <mat-card class=\"card-job pointer\" *ngFor=\"let job of result; let index = index;\" (click)=\"redirect_correctJob(job.source,job.url,job.id)\"> <mat-card-header> <mat-card-title> <div class=\"job-title\">{{job.name}}</div> <div class=\"posted\"> <i class=\"fa fa-clock-o\" aria-hidden=\"true\"></i> {{job.posted_time_friendly}}</div> </mat-card-title> </mat-card-header> <mat-card-content> <div class=\"section-description-title\">DESCRIÇÃO DO JOB</div> <div class=\"job-description\" [innerHTML]=\"job.snippet\"></div> <div class=\"card-footer\"> <a [href]=\"'https://maps.google.com?q=' + job.location\" target=\"_blank\"> <i class=\"fa fa-map-marker\" aria-hidden=\"true\"></i> {{job.location}}</a> </div> </mat-card-content> </mat-card> </span>",
                styles: [".card-job { margin: 0px 0px 30px 5px; border-bottom: 2px solid #00b1d9; cursor: pointer; } .card-job mat-card-title .job-title { font-size: 20px; font-weight: bold; } .card-job mat-card-title .viewsBlock { margin-bottom: 2px; } .card-job mat-card-title .viewsBlock .rating { margin-right: 10px; } .card-job mat-card-title .viewsBlock .rating .fa-star { color: #f5d800; } .card-job mat-card-title .viewsBlock .rating .fa-star-o { color: #f5d800; } .card-job mat-card-title .viewsBlock .views { margin-right: 10px; color: #00b1d9; } .card-job mat-card-title .viewsBlock .views i { color: #00b1d9; } .card-job mat-card-title .job-price { color: #00b1d9; } .card-job mat-card-content { margin: 0 8px; } .card-job mat-card-content .section-description-title { font-size: 15px; font-weight: bold; } .card-job mat-card-content .job-description { margin-top: 5px; margin-bottom: 15px; font-size: 15px; } .card-job mat-card-content .job-description .truncate { color: #00b1d9; cursor: pointer; } .card-job mat-card-content .card-footer { font-size: 15px; } .card-job mat-card-content .card-footer a { color: #00b1d9; text-decoration: underline; } .card-job mat-card-content .card-footer a .fa { color: #00b1d9; } "]
            },] },
];
/**
 * @nocollapse
 */
ResultJobComponent.ctorParameters = function () { return [
    { type: undefined, decorators: [{ type: core.Inject, args: ['environments',] },] },
    { type: SearchService, },
    { type: router.Router, },
]; };
ResultJobComponent.propDecorators = {
    'result': [{ type: core.Input },],
    'filter': [{ type: core.Input },],
};

var FilterProComponent = (function () {
    /**
     * @param {?} _searchService
     */
    function FilterProComponent(_searchService) {
        var _this = this;
        this._searchService = _searchService;
        this.filterOutput = new core.EventEmitter();
        this.subscribeAllCities = new Rx.Subscription;
        this.toggle_categories = new Rx.Subscription;
        this.toggle_subcategories = new Rx.Subscription;
        this.categories = [];
        this.idCategory = -1;
        this.subcategories = [];
        this.subSelected = [];
        this.city = '';
        this.occupation = '';
        this.filter = {};
        this.filter['city'] = 'all';
        this.filter['occupation'] = 'all';
        this.filter['field'] = 'none';
        this.filter['order'] = 'nameAsc';
        this.filter['page'] = 1;
        this.filter['interest'] = 'all';
        this.filter['avaliation'] = 'any';
        hyperJobsServices.BroadcastEventService.event('clearFilter').subscribe(function (answer) {
            if (answer) {
                _this.setAllCategories();
            }
        });
        this.toggle_categories = this._searchService.getCategories().subscribe(function (response) {
            if (response.return) {
                // this._toastrService.success(response.msg, 'Sucesso');
                // o que fazer
                _this.categories = response.data;
            }
            else {
                // this._toastrService.error(response.msg, 'Erro!');
            }
        }, function (err) {
            // this._toastrService.error('Aconteceu algo inesperado', 'Erro');
        });
    }
    /**
     * @return {?}
     */
    FilterProComponent.prototype.ngOnInit = function () {
        this.cities();
        this.filterOutput.emit(this.filter);
    };
    /**
     * @return {?}
     */
    FilterProComponent.prototype.filterInit = function () {
        this.filter['city'] = 'all';
        this.filter['occupation'] = 'all';
        this.filter['field'] = 'none';
        this.filter['order'] = 'nameAsc';
        this.filter['page'] = 1;
        this.filter['interest'] = 'all';
        this.filter['avaliation'] = 'any';
    };
    /**
     * @return {?}
     */
    FilterProComponent.prototype.cities = function () {
        var _this = this;
        this.subscribeAllCities = this._searchService.allCities().subscribe(function (data) {
            if (data.return) {
                _this.allCities = data.data;
            }
        });
    };
    /**
     * @return {?}
     */
    FilterProComponent.prototype.selectCity = function () {
        this.filter['city'] = this.city || 'all';
        this.filterOutput.emit(this.filter);
        this.listCities = null;
    };
    /**
     * @return {?}
     */
    FilterProComponent.prototype.searchOccupation = function () {
        if (this.occupation !== '' && this.filter['occupation'] !== this.occupation) {
            this.filter['occupation'] = this.occupation;
            this.filterOutput.emit(this.filter);
            return;
        }
        if (this.occupation === '' && this.filter['occupation'] !== 'all') {
            this.filter['occupation'] = 'all';
            this.filterOutput.emit(this.filter);
        }
    };
    /**
     * @param {?} value
     * @param {?=} maxResults
     * @return {?}
     */
    FilterProComponent.prototype.citiesSearch = function (value, maxResults) {
        if (maxResults === void 0) { maxResults = 10; }
        if (value === '' && this.filter['city'] !== 'all') {
            this.filter['city'] = 'all';
            this.listCities = [];
            this.filterOutput.emit(this.filter);
            return;
        }
        if (value === '') {
            this.listCities = [];
            return;
        }
        var /** @type {?} */ result = [];
        for (var /** @type {?} */ index = 0; index < this.allCities.length; index++) {
            var /** @type {?} */ re = new RegExp(value, 'i');
            if (re.test(this.allCities[index].city)) {
                result.push(this.allCities[index]);
                if (result.length === maxResults) {
                    break;
                }
            }
        }
        this.listCities = result;
    };
    /**
     * @param {?} id
     * @return {?}
     */
    FilterProComponent.prototype.getSubcategories = function (id) {
        var _this = this;
        if (this.idCategory !== id) {
            this.subSelected = [];
            this.idCategory = id;
            this.toggle_subcategories = this._searchService.getSubCategories(id).subscribe(function (response) {
                if (response.return) {
                    // this._toastrService.success(response.msg, 'Sucesso');
                    // o que fazer
                    _this.subcategories = response.data;
                }
                else {
                    // this._toastrService.error(response.msg, 'Erro!');
                }
            }, function (err) {
                // this._toastrService.error('Aconteceu algo inesperado', 'Erro');
            });
        }
    };
    /**
     * @param {?} id
     * @return {?}
     */
    FilterProComponent.prototype.getInterests = function (id) {
        var /** @type {?} */ haveId = this.subSelected.indexOf(id);
        if (haveId >= 0) {
            this.subSelected.splice(haveId, 1);
            if (this.subSelected.length < 1) {
                this.filter['interest'] = 'all';
            }
        }
        else {
            this.subSelected.push(id);
            this.filter['interest'] = this.subSelected.toString().replace(',', ' ');
        }
        this.filterOutput.emit(this.filter);
    };
    /**
     * @return {?}
     */
    FilterProComponent.prototype.setAllCategories = function () {
        this.subSelected = [];
        this.subcategories = [];
        this.idCategory = -1;
        this.filterInit();
        this.filterOutput.emit(this.filter);
    };
    /**
     * @param {?} grade
     * @return {?}
     */
    FilterProComponent.prototype.setAvaliation = function (grade) {
        this.filter['avaliation'] = grade;
        this.filterOutput.emit(this.filter);
    };
    /**
     * @return {?}
     */
    FilterProComponent.prototype.ngOnDestroy = function () {
        this.subscribeAllCities.unsubscribe();
        this.toggle_categories.unsubscribe();
        this.toggle_subcategories.unsubscribe();
    };
    return FilterProComponent;
}());
FilterProComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'app-filter-pro',
                template: "<div class=\"filterBlock\"> <div class=\"cityBlock block\"> <label for=\"cityFilter\">Filtrar por Cidade</label> <div class=\"inputBlock\"> <input id=\"cityFilter\" [(ngModel)]=\"city\" type=\"text\" name=\"city\" (keypress)=\"citiesSearch(city)\" (keyup.enter)=\"selectCity()\" placeholder=\"Ex.: São Paulo\"> <button (click)=\"selectCity()\"> <i class=\"fa fa-search\" aria-hidden=\"true\"></i> </button> </div> <div class=\"resultsCities\" *ngIf=\"listCities\"> <ul class=\"citiesList\"> <ng-container *ngFor=\"let item of listCities\"> <li class=\"city\" (click)=\"selectCity(item.city); city = item.city \">{{ [item.city,item.uf,item.coutry].join(', ') }}</li> </ng-container> </ul> </div> </div> <div class=\"OccupationBlock  block\"> <label for=\"occupationFilter\">Filtrar por Profissão</label> <div class=\"inputBlock\"> <input id=\"occupationFilter\" [(ngModel)]=\"occupation\" type=\"text\" name=\"occupation\" (keyup.enter)=\"searchOccupation()\" placeholder=\"Ex.: Analista\"> <button (click)=\"searchOccupation()\"> <i class=\"fa fa-search\" aria-hidden=\"true\"></i> </button> </div> </div> <div class=\"InterestsBlock  block\"> <label for=\"interestFilter\">Área de interesse</label> <div id=\"interestFilter\"> <div class=\"pointer\" [ngClass]=\"idCategory === -1 ? 'option-active' : ''\" (click)=\"setAllCategories()\"> Todas as Áreas </div> <ng-container *ngFor=\"let category of categories\"> <div class=\"pointer\" [ngClass]=\"idCategory === category.id ? 'option-active' : ''\" (click)=\"getSubcategories(category.id)\"> {{category.description}} </div> <ng-container *ngIf=\"idCategory === category.id\"> <div class=\"checkbox-container\"> <!-- <div class=\"subcategory\"> <label> <input type=\"checkbox\"> <span>todas</span> </label> </div> --> <div class=\"subcategory\" *ngFor=\"let subcategory of subcategories\"> <input [id]=\"subcategory.id\" type=\"checkbox\" class=\"checkbox-hj\" (change)=\"getInterests(subcategory.id)\" value=\"subcategory.id\"> <label [for]=\"subcategory.id\" class=\"checkbox-hj-label\">{{subcategory.description}}</label> </div> </div> </ng-container> </ng-container> </div> </div> <div class=\"AvaliationBlock  block\"> <label for=\"avaliationFilter\">Avaliação</label> <div id=\"avaliationFilter\"> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === 'any' ? 'option-active' : ''\" (click)=\"setAvaliation('any')\">Qualquer Ranking</div> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === '5' ? 'option-active' : ''\" (click)=\"setAvaliation('5')\">5 estrelas</div> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === '4' ? 'option-active' : ''\" (click)=\"setAvaliation('4')\">Pelo menos 4 estrelas</div> <div class=\"pointer\" [ngClass]=\"filter['avaliation'] === '3' ? 'option-active' : ''\" (click)=\"setAvaliation('3')\">Pelo menos 3 estrelas</div> <!-- <div [ngClass]=\"filter['avaliation'] === 'any' ? 'option-active' : ''\">Sem feedback</div> --> </div> </div> </div>",
                styles: ["label { width: 100%; color: #575757; margin: 10px 0; text-align: left; } .block { border-bottom: 1px solid #999; padding: 30px; } .filterBlock { background-color: #fff; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); } .inputBlock { position: relative; } .inputBlock input { width: 100%; padding: 15px; height: 40px; } .inputBlock button { position: absolute; right: 0; bottom: 0; top: 0; width: 40px; background-color: #007acc; border: none; outline: none; } .inputBlock button i { color: #fff; } .resultsCities { position: relative; } .resultsCities .citiesList { position: absolute; z-index: 1; width: 100%; background-color: #fff; list-style: none; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); } .resultsCities .citiesList .city { padding: 10px 20px; text-align: left; cursor: pointer; } .resultsCities .citiesList .city:hover { font-weight: bold; } .option-active{ color: #41c5d2; font-weight: bold; } .pointer{ cursor: pointer; } .InterestsBlock ul li { font-size: 12px; } .btn-clear { text-align: center; } "]
            },] },
];
/**
 * @nocollapse
 */
FilterProComponent.ctorParameters = function () { return [
    { type: SearchService, },
]; };
FilterProComponent.propDecorators = {
    'filterOutput': [{ type: core.Output },],
};

var ResultProComponent = (function () {
    /**
     * @param {?} environment
     */
    function ResultProComponent(environment) {
        this.environment = environment;
        this.meUrl = environment.meUrl;
    }
    /**
     * @param {?} photosList
     * @return {?}
     */
    ResultProComponent.prototype.moveLeft = function (photosList) {
        for (var /** @type {?} */ i = 0; i < 200; i++) {
            window.setTimeout(function () {
                photosList.scrollLeft -= 1;
            }, 150);
        }
    };
    /**
     * @param {?} photosList
     * @return {?}
     */
    ResultProComponent.prototype.moveRight = function (photosList) {
        for (var /** @type {?} */ i = 0; i < 200; i++) {
            window.setTimeout(function () {
                photosList.scrollLeft += 1;
            }, 150);
        }
    };
    return ResultProComponent;
}());
ResultProComponent.decorators = [
    { type: core.Component, args: [{
                // tslint:disable-next-line:component-selector
                selector: 'search-result-pro',
                template: "<div class=\"results\"> <div class=\"row\"> <ng-container *ngFor=\"let item of result; let id = index;\"> <div class=\"itemBlock col-lg-12 col-md-12 col-sm-12 col-xs-12\"> <div class=\"row\"> <div class=\"col-md-2 col-sm-4 col-xs-12\"> <div class=\"imageBlock\"> <img src=\"{{  item.photoUrl }}\" alt=\"{{ item.name }} \"> <span class=\"status {{ item.statusChat }}\"> </span> </div> </div> <div class=\"col-md-10 col-sm-8 col-xs-12\"> <div class=\"profileBlock\"> <div class=\"viewProfile\"> <a href=\"{{ meUrl+item.username }}\" class=\"btn blue pull-right\" target=\"_blank\">Ver Perfil</a> </div> <div class=\"clearfix\"></div> <div class=\"name\">{{item.name}}</div>               <div class=\"viewsBlock\"> <span class=\"rating\"> <i class=\"fa fa-star{{item.ratingUser < 1?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{item.ratingUser < 2?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{item.ratingUser < 3?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{item.ratingUser < 4?'-o':'' }}\" aria-hidden=\"true\"></i> <i class=\"fa fa-star{{item.ratingUser < 5?'-o':'' }}\" aria-hidden=\"true\"></i> </span> <span class=\"views\"> <i class=\"fa fa-eye\" aria-hidden=\"true\"></i> {{item.viewUser}} </span> <span class=\"views favorite\"> <i class=\"fa fa-heart-o\" aria-hidden=\"true\"></i> {{item.favoritesUser}} </span> </div> <div class=\"occupation\" *ngIf=\"item.occupation\"> <div class=\"ocupationText\">[ {{item.occupation}} ]</div> </div> <div class=\"info\" *ngIf=\"item.nrJobsDone\"> <span class=\"projects\"> Projetos Concluídos: <b>{{item.nrJobsDone}}</b> </span> <span class=\"startDate\"> Registrado desde: <b>{{ item.date | date:'d/M/y' }}</b> </span> </div> <div class=\"about\" *ngIf=\"item.bio\"> <div class=\"aboutTitle\">Sobre Mim</div> <div class=\"aboutText\">{{ (item.bio.length>200)? (item.bio | slice:0:200)+'...':(item.bio) }}</div> </div> <ul class=\"skills\" *ngIf=\"item.listAreaInterest\"> <ng-container *ngFor=\"let skill of item.listAreaInterest.split('¨|¨')\"> <li class=\"skillItem\">{{ skill.split('<|>')[1] }}</li> </ng-container> </ul> <div class=\"jobsList\" *ngIf=\"item.listJobs\"> <div class=\"blockTitle row\"> <div class=\"col-lg-8 col-md-8 col-sm-6 col-xs-12\"> <h4 class=\"title\">{{ item.listJobs.split('¨').length }} JOB{{ item.listJobs.split('¨').length > 1?'s':'' }}</h4> </div> <div class=\"col-lg-4 col-md-4 col-sm-6 col-xs-12\"> <span class=\"title\">Preço por hora</span> </div> </div> <div class=\"job row\"> <ng-container *ngFor=\"let job of item.listJobs.split('¨'); let idx = index \"> <a href=\"{{ meUrl+item.username+'/work/view/'+job.split(';')[0] }}\" *ngIf=\"idx < 5\" target=\"_blank\"> <div class=\" line col-lg-7 col-md-7 col-sm-6 col-xs-12\"> <h5 class=\"name\" title=\"{{ job.split(';')[1] }}\">{{ job.split(';')[1] }}</h5> </div> <div class=\"line col-lg-5 col-md-5 col-sm-6 col-xs-12\"> <div class=\"price\">{{ job.split(';')[2] }}</div> <div class=\"btnJob\"> <i class=\"fa fa-arrow-right\" aria-hidden=\"true\"></i> </div> </div> </a> <a class=\"btn blue pull-right\" href=\"{{ meUrl+item.username+'/work' }}\" *ngIf=\"idx === 5\">Ver Todos</a> </ng-container> </div> </div> <div class=\"photos\" *ngIf=\"item.listPhotos\"> <h4>Photos</h4> <div class=\"photosList\" #photoList> <ng-container *ngFor=\"let photo of item.listPhotos.split('¨|¨')\"> <a href=\"{{photo.split('<|>')[0]}}\" target=\"_blank\"> <img src=\"{{photo.split('<|>')[2]}}\"> </a> </ng-container> </div> <button class=\"left button hidden-sm hidden-xs\" (click)=\"moveLeft(photoList)\"><i class=\"fa fa-arrow-left\" aria-hidden=\"true\"></i></button> <button class=\"right button  hidden-sm hidden-xs\" (click)=\"moveRight(photoList)\"><i class=\"fa fa-arrow-right\" aria-hidden=\"true\"></i></button> </div> </div> </div> </div> </div> </ng-container> </div> </div>",
                styles: [".results { font-size: 16px; } .results .itemBlock { background-color: #fff; padding: 20px; margin-bottom: 30px; -webkit-box-shadow: 1px 1px 5px 2px rgba(0, 0, 0, 0.21); -moz-box-shadow: 1px 1px 5px 2px rgba(0, 0, 0, 0.21); -ms-box-shadow: 1px 1px 5px 2px rgba(0, 0, 0, 0.21); -o-box-shadow: 1px 1px 5px 2px rgba(0, 0, 0, 0.21); box-shadow: 1px 1px 5px 2px rgba(0, 0, 0, 0.21); } .results .itemBlock .imageBlock { position: relative; } .results .itemBlock .imageBlock img { height: 80px; width: 80px; border: 5px solid #fff; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -webkit-border-radius: 50%; -moz-border-radius: 50%; -ms-border-radius: 50%; -o-border-radius: 50%; border-radius: 50%; } .results .itemBlock .imageBlock .status { position: absolute; bottom: 20px; left: 45px; } .results .itemBlock .profileBlock { text-align: left; } .results .itemBlock .profileBlock .name { font-size: 20px; color: #333; margin: 0px 0px 5px 0px; } .results .itemBlock .profileBlock .viewProfile .btn { margin: 0px; padding: 5px 40px; font-weight: lighter; } .results .itemBlock .profileBlock .viewProfileButton { border: none; padding: 10px 20px; color: #fff; font-weight: bold; background-color: #007acc; text-decoration: none; margin-top: 15px; } .results .itemBlock .profileBlock .viewProfileButton:hover, .results .itemBlock .profileBlock .viewProfileButton:active { background-color: #0068AD; } .results .itemBlock .profileBlock .viewsBlock { margin-bottom: 10px; } .results .itemBlock .profileBlock .viewsBlock .rating { margin-right: 10px; } .results .itemBlock .profileBlock .viewsBlock .rating .fa-star { color: #f5d800; } .results .itemBlock .profileBlock .viewsBlock .rating .fa-star-o { color: #333; } .results .itemBlock .profileBlock .viewsBlock .views { margin-right: 10px; color: #333; } .results .itemBlock .profileBlock .viewsBlock .views i { color: #333; } .results .itemBlock .profileBlock .viewsBlock .favorite { margin-right: 10px; } .results .itemBlock .profileBlock .viewsBlock .favorite .fa-heart { color: #B80000; } .results .itemBlock .profileBlock .viewsBlock .favorite .fa-heart-o { color: #333; } .results .itemBlock .profileBlock .occupation .ocupationText { font-size: 14px; } .results .itemBlock .profileBlock .info { margin-bottom: 10px; font-size: 14px; } .results .itemBlock .profileBlock .info .projects { margin-right: 15px; } .results .itemBlock .profileBlock .info .projects b { color: #00b0db; } .results .itemBlock .profileBlock .info .startDate b { color: #00b0db; } .results .itemBlock .profileBlock .about { font-size: 1.8rem; margin-bottom: 40px; } .results .itemBlock .profileBlock .about .aboutTitle { color: #00b0db; font-weight: 600; font-size: 16px; } .results .itemBlock .profileBlock .about .aboutText { font-size: 16px; line-height: 18px; font-weight: lighter; } .results .itemBlock .profileBlock .about p { font-size: 1.6rem; } .results .itemBlock .profileBlock .skills { list-style: none; margin-bottom: 25px; width: 100%; height: 40px; overflow: hidden; } .results .itemBlock .profileBlock .skills .skillItem { display: inline-block; background-color: #00b1d9; padding: 4px 15px; margin: 5px 3px; -webkit-border-radius: 5px; -moz-border-radius: 5px; -ms-border-radius: 5px; -o-border-radius: 5px; border-radius: 5px; color: #fff; } .results .itemBlock .profileBlock .jobsList { margin-bottom: 20px; } .results .itemBlock .profileBlock .jobsList .blockTitle { padding: 10px 15px; border-bottom: 1px solid #333; } .results .itemBlock .profileBlock .jobsList .blockTitle .title { color: #333; font-size: 1.8rem; font-weight: 600; } .results .itemBlock .profileBlock .jobsList .job { font-weight: 600; font-size: 1.8rem; line-height: 1; } .results .itemBlock .profileBlock .jobsList .job .line { border-bottom: 1px solid #333; height: 50px; padding: 15px; } .results .itemBlock .profileBlock .jobsList .job .name { font-weight: 600; font-size: 1.8rem; color: #333; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; } .results .itemBlock .profileBlock .jobsList .job .price { color: #76A824; display: inline-block; } .results .itemBlock .profileBlock .jobsList .job .btnJob { width: 35px; height: 35px; display: inline-block; text-align: center; margin: -10px 15px; padding: 10px; float: right; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); cursor: pointer; -webkit-border-radius: 50%; -moz-border-radius: 50%; -ms-border-radius: 50%; -o-border-radius: 50%; border-radius: 50%; } .results .itemBlock .profileBlock .jobsList .job .btnJob i { color: #333; } .results .itemBlock .profileBlock .photos { padding: 10px 15px; position: relative; } .results .itemBlock .profileBlock .photos h4 { font-weight: 600; font-size: 1.8rem; color: #333; padding-top: 10px; margin-bottom: 15px; } .results .itemBlock .profileBlock .photos .photosList { background-color: #fff; width: 100%; white-space: nowrap; overflow: auto; overflow: -moz-scrollbars-none; } .results .itemBlock .profileBlock .photos .photosList::-webkit-scrollbar { display: none; } .results .itemBlock .profileBlock .photos .photosList img { display: inline; margin: 0 auto; height: 100px; } .results .itemBlock .profileBlock .photos .button { position: absolute; bottom: 30%; background-color: #fff; border: none; outline: none; width: 35px; height: 35px; display: inline-block; text-align: center; margin: 0 15px; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); cursor: pointer; -webkit-border-radius: 50%; -moz-border-radius: 50%; -ms-border-radius: 50%; -o-border-radius: 50%; border-radius: 50%; } .results .itemBlock .profileBlock .photos .button i { color: #333; } .results .itemBlock .profileBlock .photos .right { right: -40px; } .results .itemBlock .profileBlock .photos .left { left: -40px; } "]
            },] },
];
/**
 * @nocollapse
 */
ResultProComponent.ctorParameters = function () { return [
    { type: undefined, decorators: [{ type: core.Inject, args: ['environments',] },] },
]; };
ResultProComponent.propDecorators = {
    'result': [{ type: core.Input },],
    'filter': [{ type: core.Input },],
};

var SearchInputComponent = (function () {
    /**
     * @param {?} _searchService
     */
    function SearchInputComponent(_searchService) {
        this._searchService = _searchService;
        this.listResult = new core.EventEmitter();
        this.subscribeSearch = new Rx.Subscription;
        this.subscribeUpdateSearch = new Rx.Subscription;
        this.searching = false;
        this.ordenation = false;
    }
    /**
     * @return {?}
     */
    SearchInputComponent.prototype.ngOnInit = function () {
        this.search();
    };
    /**
     * @param {?=} value
     * @return {?}
     */
    SearchInputComponent.prototype.search = function (value) {
        var _this = this;
        if (value === void 0) { value = 'all'; }
        if (this.filter['page']) {
            this.filter['page'] = 1;
        }
        this.searching = true;
        this.subscribeSearch = this._searchService.searchPro(this.searchInput.nativeElement.value || 'all', this.filter).subscribe(function (data) {
            if (data.return) {
                _this.results = data.data;
                _this.listResult.emit(_this.results);
                _this.searching = false;
                _this.lenResult = data.totalRow;
            }
        });
    };
    /**
     * @return {?}
     */
    SearchInputComponent.prototype.updateSearch = function () {
        var _this = this;
        if (this.lenResult <= this.results.length) {
            return;
        }
        this.filter['page']++;
        this.subscribeUpdateSearch = this._searchService.searchPro(this.searchInput.nativeElement.value || 'all', this.filter).subscribe(function (data) {
            if (data.return) {
                if (_this.results) {
                    _this.results = _this.results.concat(data.data);
                }
                else {
                    _this.results = data.data;
                }
                _this.listResult.emit(_this.results);
            }
        });
    };
    /**
     * @param {?} order
     * @param {?} inputValue
     * @return {?}
     */
    SearchInputComponent.prototype.setOrder = function (order, inputValue) {
        if (this.ordenation && this.filter['order'] !== order) {
            this.filter['order'] = order;
            this.search();
        }
    };
    /**
     * @return {?}
     */
    SearchInputComponent.prototype.ngOnDestroy = function () {
        this.subscribeSearch.unsubscribe();
        this.subscribeUpdateSearch.unsubscribe();
    };
    return SearchInputComponent;
}());
SearchInputComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'search-input',
                template: "<div class=\"inputBlock\" > <input type=\"text\" name=\"search\" #searchInput (keyup.enter)=\"search()\"> <button type=\"submit\" (click)=\"search(searchInput.value)\"><i class=\"fa fa-search\" aria-hidden=\"true\" *ngIf=\"!searching\"></i><i class=\"fa fa-spinner fa-pulse fa-fw\" *ngIf=\"searching\"></i></button> </div> <div class=\"row\"> <div class=\"col-lg-7 col-md-7 col-sm-12 col-xs-12\"> <div class=\"msgResult\" *ngIf=\"!searching\"> <!-- <div class=\"title\">Resultado da Pesquisa</div> --> <div class=\"msg no-results\" *ngIf=\"lenResult==0\">Não foram encontrados resultados com o parâmetros informados!</div> <div class=\"msg\" *ngIf=\"lenResult==1\">Foi encontrado 1 resultado.</div> <div class=\"msg\" *ngIf=\"lenResult>1\">Foram encontrados {{lenResult}} resultados.</div> </div> </div> <div class=\"col-lg-5 col-md-5 col-sm-12 col-xs-12\"> <div class='sorterList'  (click)=\"ordenation = !ordenation\"> <div class=\"title\">Ordernar por:</div> <ul class=\"sort\" [ngClass]=\"ordenation ? 'box':''\"> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'nameAsc' ? 'active':'inactive'\" (click)=\" setOrder('nameAsc',searchInput.value)\" >Nome [A - Z]<i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i></li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'nameDesc' ? 'active':'inactive'\" (click)=\"  setOrder('nameDesc',searchInput.value)\" >Nome [Z - A]<i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i></li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'procurDesc' ? 'active':'inactive'\" (click)=\" setOrder('procurDesc',searchInput.value)\" >Mais Populares<i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i></li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'procurAsc' ? 'active':'inactive'\" (click)=\" setOrder('procurAsc',searchInput.value)\" >Menos Populares<i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i></li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'precoDesc' ? 'active':'inactive'\" (click)=\" setOrder('precoDesc',searchInput.value)\" >Maior Salário<i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i></li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'precoAsc' ? 'active':'inactive'\" (click)=\" setOrder('precoAsc',searchInput.value)\" >Menor Salário<i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i></li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'statusDesc' ? 'active':'inactive'\" (click)=\" setOrder('statusDesc',searchInput.value)\" >Online<i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i></li> </ul> </div> </div> </div>",
                styles: [".inputBlock { position: relative; max-width: 600px; margin: 0 auto; } .inputBlock input { width: 100%; height: 45px; padding: 14px 35px; font-size: 18px; color: #999; background-color: #fff; border: 1px solid #999; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); outline: none; } .inputBlock button { position: absolute; top: 1px; bottom: 1px; right: 1px; width: 50px; border: none; outline: none; background-color: #007acc; } .inputBlock button i { color: #fff; } .msgResult { text-align: left; margin-top: 10px; font-size: 1.7rem; color: #575757; } .msgResult .title { font-weight: bold; } .msgResult .no-results { color: #ff6060; } .sorterList { width: 100%; text-align: left; position: relative; margin-top: 10px; color: #575757; cursor: pointer; } .sorterList .title { display: inline-block; font-weight: bold; padding: 5px 25px 10px; } .sorterList .sort { list-style: none; display: inline-block; padding: 0; height: 15px; } .sorterList .sort .item { color: #575757; padding: 5px 10px 10px 20px; margin-bottom: 5px; } .sorterList .sort .item .fa-caret-down { margin-left: 10px; } .sorterList .sort .item.inactive { display: none; } .sorterList .sort .item.active { display: block; } .sorterList .sort.box { position: absolute; background-color: #fff; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); outline: none; z-index: 1; height: auto; } .sorterList .sort.box .item { display: block; } .sorterList .sort.box .item .fa-caret-down { display: none; } .sorterList .sort.box .item:hover { color: #007acc; } "]
            },] },
];
/**
 * @nocollapse
 */
SearchInputComponent.ctorParameters = function () { return [
    { type: SearchService, },
]; };
SearchInputComponent.propDecorators = {
    'listResult': [{ type: core.Output },],
    'filter': [{ type: core.Input },],
    'searchInput': [{ type: core.ViewChild, args: ['searchInput',] },],
};

var SearchTopComponent = (function () {
    /**
     * @param {?} _searchService
     * @param {?} _toastrService
     */
    function SearchTopComponent(_searchService, _toastrService) {
        this._searchService = _searchService;
        this._toastrService = _toastrService;
        this.typeSearch = 'job';
        this.listResult = new core.EventEmitter();
        this.filter = {};
        this.searched = false;
        this.searchFor = '';
        this.searchTypeDefault = 'job';
        this.backgroundColorDefault = '#262c34';
        this.render = '';
        this.subscribeSearch = new Rx.Subscription;
        this.subscribeUpdateSearch = new Rx.Subscription;
        this.searching = false;
        this.ordenation = false;
    }
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.ngOnInit = function () {
        this.auxTypeSearch = this.typeSearch;
        if (this.typeSearch === 'all') {
            this.typeSearch = 'pro';
        }
    };
    /**
     * @param {?=} value
     * @return {?}
     */
    SearchTopComponent.prototype.search = function (value) {
        var _this = this;
        if (value === void 0) { value = 'all'; }
        if (this.filter['page']) {
            this.filter['page'] = 1;
        }
        this.searching = true;
        this.results = [];
        this.filter = {};
        this.render = this.typeSearch;
        switch (this.typeSearch) {
            case 'pro':
                console.log('search professionals');
                this.subscribeSearch = this._searchService.searchPro(this.searchFor || 'all', this.filter).subscribe(function (data) {
                    if (data.return) {
                        _this.results = data.data;
                        _this.searching = false;
                        _this.lenResult = data.totalRow;
                    }
                });
                break;
            case 'job':
                console.log('search oportunidades');
                this.subscribeSearch = this._searchService.searchJob(this.searchFor || 'all', this.filter).subscribe(function (data) {
                    if (data.return) {
                        _this.results = data.data;
                        _this.results.forEach(function (element) {
                            if (element.description.length > 170) {
                                element.needTruncate = true;
                                element.truncateText = ' Ver Mais';
                                element.truncated = true;
                            }
                            else {
                                element.needTruncate = false;
                                element.truncated = false;
                            }
                        });
                        _this.searching = false;
                        _this.lenResult = data.totalRow;
                    }
                });
                break;
        }
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.searchZipRecruiter = function () {
        var _this = this;
        var /** @type {?} */ objFilter = {
            search: this.searchFor ? this.searchFor : 'home',
            location: this.filter['city'],
            radius_miles: 'all',
            page: '1',
            jobs_per_page: '20',
            days_ago: this.filter['posted']
        };
        this.subscribeSearch = this._searchService.getZipRecruiter(objFilter).subscribe(function (response) {
            if (response.return) {
                _this.results = response.data.jobs;
                _this.searching = false;
                _this.lenResult = response.data.total_jobs;
            }
            else {
                _this._toastrService.warning(response.msg, 'Atenção');
            }
        }, function (err) {
            _this._toastrService.error('Ocorreu um erro', 'Erro');
        });
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.updateSearch = function () {
        var _this = this;
        if (this.lenResult <= this.results.length) {
            return;
        }
        this.filter['page']++;
        if (this.typeSearch === 'pro') {
            this.subscribeUpdateSearch = this._searchService.searchPro(this.searchFor || 'all', this.filter).subscribe(function (data) {
                if (data.return) {
                    if (_this.results) {
                        _this.results = _this.results.concat(data.data);
                    }
                    else {
                        _this.results = data.data;
                    }
                    // this.listResult.emit(this.results);
                }
            });
        }
        else {
            this.subscribeSearch = this._searchService.searchJob(this.searchFor || 'all', this.filter).subscribe(function (data) {
                if (data.return) {
                    // debugger;
                    data.data.forEach(function (element) {
                        if (element.description.length > 170) {
                            element.needTruncate = true;
                            element.truncateText = ' Ver Mais';
                            element.truncated = true;
                        }
                        else {
                            element.needTruncate = false;
                            element.truncated = false;
                        }
                    });
                    if (_this.results) {
                        _this.results = _this.results.concat(data.data);
                    }
                    else {
                        _this.results = data.data;
                    }
                }
            });
        }
    };
    /**
     * @param {?} order
     * @param {?} inputValue
     * @return {?}
     */
    SearchTopComponent.prototype.setOrder = function (order, inputValue) {
        if (this.ordenation && this.filter['order'] !== order) {
            this.filter['order'] = order;
            this.search();
        }
    };
    /**
     * @param {?=} event
     * @return {?}
     */
    SearchTopComponent.prototype.setFilterSearch = function (event) {
        if (event === void 0) { event = null; }
        console.log('setFilterSearch()', event);
        this.filter = event;
        this.results = [];
        this.lenResult = 0;
        if (this.filter['location'] === 'international') {
            this.searchZipRecruiter();
        }
        else {
            this.search();
        }
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.onScrollDown = function () {
        if (document.documentElement.scrollTop > document.documentElement.offsetHeight - 1000) {
            this.updateSearch();
        }
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.closeSearch = function () {
        this.clearFilters();
        this.results = [];
        this.lenResult = 0;
        this.ordenation = false;
        this.searched = false;
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.clearFilters = function () {
        this.filter = {};
        hyperJobsServices.BroadcastEventService.event('clearFilter').emit(true);
        this.search();
    };
    /**
     * @return {?}
     */
    SearchTopComponent.prototype.ngOnDestroy = function () {
        this.subscribeSearch.unsubscribe();
        this.subscribeUpdateSearch.unsubscribe();
    };
    return SearchTopComponent;
}());
SearchTopComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'search-top',
                template: "<div [style.background]=\"backgroundColor ? backgroundColor : backgroundColorDefault\" class=\"search\"> <div class=\"container container-wal\"> <div class=\"cont\"> <mat-select class=\"selectSearchFilter\" [(ngModel)]=\"typeSearch\"> <mat-option class=\"optionSelectSearchFilter\" *ngIf=\"auxTypeSearch === 'pro' || auxTypeSearch === 'all'\" value=\"pro\">Buscar profissionais ou serviços</mat-option> <mat-option class=\"optionSelectSearchFilter\" *ngIf=\"auxTypeSearch === 'job' || auxTypeSearch === 'all'\" value=\"job\">Buscar Oportunidades</mat-option> </mat-select> <span> <mat-input-container class=\"inputSearchFilter mr1\" floatPlaceholder=\"never\"> <input [(ngModel)]=\"searchFor\" type=\"text\" class=\"inputSearch\" name=\"filter\" placeholder=\"Busque aqui\" (keyup.enter)=\"search(); searched = true\" matInput pattern=\"[a-zA-Z0-9\s]+\"> </mat-input-container> </span> <span class=\"questSearch\" (click)=\"search(searchFor); searched = true\"> <i class=\"material-icons\">search</i> </span> </div> </div> </div> <div *ngIf=\"searched\"> <div class=\"row col-xs-12\"> <div class=\"msgResult padding-30\" *ngIf=\"!searching\"> <h3>Resultados da Pesquisa</h3> <div class=\"msg no-results\" *ngIf=\"lenResult==0\">Não foram encontrados resultados com o parâmetros informados!</div> <div class=\"msg\" *ngIf=\"lenResult==1\">Foi encontrado 1 resultado.</div> <div class=\"msg\" *ngIf=\"lenResult>1\">Foram encontrados {{lenResult}} resultados.</div> </div> <div class=\"pull-right btn gray m-t-15\" (click)=\"closeSearch()\"> <i class=\"fa fa-arrow-left\" aria-hidden=\"true\"></i> Voltar </div> </div> <div class=\"col-lg-3 col-md-3 col-sm-12 col-xs-12 padding-30 clear-filter\"> <div class=\"pull-left cursor-pointer\" (click)=\"clearFilters()\"> <i class=\"fa fa-filter\" aria-hidden=\"true\"></i> Limpar filtros </div> </div> <div class=\"col-lg-9 col-md-9 col-sm-12 col-xs-12\"> <div class='sorterList' (click)=\"ordenation = !ordenation\"> <div class=\"title\">Ordernar por:</div> <ul *ngIf=\"typeSearch === 'pro'\" class=\"sort\" [ngClass]=\"ordenation ? 'box':''\"> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'nameAsc' || filter['order'] === 'all' ? 'active':'inactive'\" (click)=\" setOrder('nameAsc',searchFor)\">Nome [A - Z] <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'nameDesc' ? 'active':'inactive'\" (click)=\"  setOrder('nameDesc',searchFor)\">Nome [Z - A] <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'procurDesc' ? 'active':'inactive'\" (click)=\" setOrder('procurDesc',searchFor)\">Mais Populares <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'procurAsc' ? 'active':'inactive'\" (click)=\" setOrder('procurAsc',searchFor)\">Menos Populares <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'precoDesc' ? 'active':'inactive'\" (click)=\" setOrder('precoDesc',searchFor)\">Maior Salário <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'precoAsc' ? 'active':'inactive'\" (click)=\" setOrder('precoAsc',searchFor)\">Menor Salário <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'statusDesc' ? 'active':'inactive'\" (click)=\" setOrder('statusDesc',searchFor)\">Online <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> </ul> <ul *ngIf=\"typeSearch === 'job'\" class=\"sort\" [ngClass]=\"ordenation ? 'box':''\"> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'nameAsc' || filter['order'] === 'all' ? 'active':'inactive'\" (click)=\" setOrder('nameAsc',searchFor)\">Nome [A - Z] <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'nameDesc' ? 'active':'inactive'\" (click)=\"  setOrder('nameDesc',searchFor)\">Nome [Z - A] <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'ratingDesc' ? 'active':'inactive'\" (click)=\" setOrder('ratingDesc',searchFor)\">Avaliação [0 - 5] <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'ratingAsc' ? 'active':'inactive'\" (click)=\" setOrder('ratingAsc',searchFor)\">Avaliação [5 - 0] <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'salaryDesc' ? 'active':'inactive'\" (click)=\" setOrder('salaryDesc',searchFor)\">Maior Salário <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'salaryAsc' ? 'active':'inactive'\" (click)=\" setOrder('salaryAsc',searchFor)\">Menor Salário <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'favoriteDesc' ? 'active':'inactive'\" (click)=\" setOrder('favoriteDesc',searchFor)\">Mais Favoritados <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'favoriteAsc' ? 'active':'inactive'\" (click)=\" setOrder('favoriteAsc',searchFor)\">Menos Favoritados <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'viewDesc' ? 'active':'inactive'\" (click)=\" setOrder('viewDesc',searchFor)\">Mais Vistos <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> <li class='item' [ngClass]=\"ordenation || filter['order'] === 'viewAsc' ? 'active':'inactive'\" (click)=\" setOrder('viewAsc',searchFor)\">Menos Vistos <i class=\"fa fa-caret-down\" aria-hidden=\"true\"></i> </li> </ul> </div> </div> <div class=\"clearfix\"></div> <ng-container *ngIf=\"render === 'pro'\"> <div class=\"col-md-4 col-sm-12\"> <app-filter-pro (filterOutput)=\"setFilterSearch($event);\"></app-filter-pro> </div> <div class=\"col-md-8 col-sm-12\"> <search-result-pro [(result)]=\"results\" [(filter)]=\"filter\" infiniteScroll [infiniteScrollDistance]=\"0\" [infiniteScrollThrottle]=\"1000\" (scrolled)=\"onScrollDown(); \"> </search-result-pro> </div> </ng-container> <ng-container *ngIf=\"render === 'job'\"> <div class=\"col-md-4 col-sm-12\"> <app-filter-job (filterOutput)=\"setFilterSearch($event);\"></app-filter-job> </div> <div class=\"col-md-8 col-sm-12\"> <search-result-job [(result)]=\"results\" [(filter)]=\"filter\" infiniteScroll [infiniteScrollDistance]=\"0\" [infiniteScrollThrottle]=\"1000\" (scrolled)=\"onScrollDown(); \"> </search-result-job> </div> </ng-container> </div>",
                styles: [".full-color { width: 100%; background-color: #575757; } .full-color .inputBlock { position: relative; max-width: 600px; margin: 0 auto; } .full-color .inputBlock input { width: 100%; height: 45px; padding: 14px 35px; font-size: 18px; color: #999; background-color: #fff; border: 1px solid #999; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); outline: none; } .full-color .inputBlock button { position: absolute; top: 1px; bottom: 1px; right: 1px; width: 50px; border: none; outline: none; background-color: #007acc; } .full-color .inputBlock button i { color: #fff; } .msgResult { text-align: left; margin-top: 10px; margin-left: 15px; font-size: 1.7rem; color: #575757; display: inline-block; } .msgResult .title { font-weight: bold; } .msgResult .no-results { color: #ff6060; } .clear-filter { display: flex; height: 45px; align-items: center; } .m-t-15 { margin-top: 15px; } .sorterList { width: 100%; text-align: left; position: relative; margin-top: 10px; color: #575757; cursor: pointer; } .sorterList .title { display: inline-block; font-weight: bold; padding: 5px 25px 10px; } .sorterList .sort { list-style: none; display: inline-block; padding: 0; height: 15px; } .sorterList .sort .item { color: #575757; padding: 5px 10px 10px 20px; margin-bottom: 5px; } .sorterList .sort .item .fa-caret-down { margin-left: 10px; } .sorterList .sort .item.inactive { display: none; } .sorterList .sort .item.active { display: block; } .sorterList .sort.box { position: absolute; background-color: #fff; -webkit-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -moz-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -ms-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); -o-box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); box-shadow: 2px 2px 3px 1px rgba(0, 0, 0, 0.21); outline: none; z-index: 1; height: auto; } .sorterList .sort.box .item { display: block; } .sorterList .sort.box .item .fa-caret-down { display: none; } .sorterList .sort.box .item:hover { color: #007acc; } input { border: none; } .selectSearchFilter { width: 50% !important; } .selectSearchFilter + span { width: 100%; } .mat-select { padding: 3px 5px 3px 15px; margin: 0 !important; background: #00b0db !important; } .optionSelectSearchFilter { background: #00b0db !important; color: white !important; } .container-wal { display: flex; align-items: center; height: 74px; } .container-wal .cont { display: flex; margin: 0 auto; position: relative; } .search { width: 100%; margin: 0 auto 12px; background: #262c34; } .search .mat-select-value { color: white !important; } .search .mat-option.mat-selected.mat-primary, .search .mat-primary .mat-option.mat-selected { color: #f2f2f2 !important; } .search .mat-form-field-flex { background: transparent; } .search .cont { width: 75%; } @media screen and (max-width: 767px) { .search { display: block; width: 100%; } } .search .mr1 { margin-right: -1px; } .search .inputSearch { background: white; border: none; border-radius: 0 30px 30px 0; min-height: 37px; width: 100%; padding-right: 35px; } .search .inputSearchFilter { width: 100%; border-radius: 0px; } .search .cepFilter .inputSearch { border-left: 1px solid #ccc; } @media screen and (max-width: 767px) { .search .cepFilter { width: 75%; } } .search .btnSearchFilter { background-image: -webkit-linear-gradient(0deg, #211e71, #00aeef); background-image: -moz-linear-gradient(0deg, #211e71, #00aeef); background-image: -ms-linear-gradient(0deg, #211e71, #00aeef); background-image: -o-linear-gradient(0deg, #211e71, #00aeef); background-image: linear-gradient(0deg, #211e71, #00aeef); border: none; height: 38px; border-radius: 0 20px 20px 0; width: 50px; display: flex; align-items: center; color: white; } .search .btnSearchFilter .text { margin: 0 0 0 auto; } .search .btnSearchFilter i { color: white; font-size: 18px; } @media screen and (max-width: 767px) { .search .btnSearchFilter i { width: 30px; margin: 0 auto 0 0; } } @media screen and (max-width: 767px) { .search .btnSearchFilter { border-radius: 25px; margin: 5px; width: 75%; margin: 5px auto; } } .search .questSearch { top: 7px; position: absolute; width: 20px; height: 20px; right: 13px; cursor: pointer; } .search .questSearch:after { color: #ccc; content: \"\f002\"; font-family: FontAwesome; } .search .closeSearch { top: 37px; position: absolute; width: 20px; height: 20px; right: 25px; cursor: pointer; } .search .closeSearch:after { color: #ccc; content: \"\f00d\"; font-family: FontAwesome; } .corHyper { display: inline-block; margin-top: 10px; color: #00c1cb; cursor: pointer; } .corHyper .fa { color: #00c1cb; font-size: 18px; } .padding-30 { padding-left: 30px; padding-right: 30px; } .inputSearchFilter .mat-input-infix { border-radius: 0 50px 50px 0; } "]
            },] },
];
/**
 * @nocollapse
 */
SearchTopComponent.ctorParameters = function () { return [
    { type: SearchService, },
    { type: ngxToastr.ToastrService, },
]; };
SearchTopComponent.propDecorators = {
    'backgroundColor': [{ type: core.Input },],
    'typeSearch': [{ type: core.Input },],
    'listResult': [{ type: core.Output },],
};

var SearchComponent = (function () {
    function SearchComponent() {
        this.filter = {};
    }
    /**
     * @return {?}
     */
    SearchComponent.prototype.ngOnInit = function () {
    };
    /**
     * @param {?} event
     * @return {?}
     */
    SearchComponent.prototype.setResult = function (event) {
        this.returnSearch = event;
    };
    /**
     * @return {?}
     */
    SearchComponent.prototype.onScrollDown = function () { };
    /**
     * @param {?} event
     * @return {?}
     */
    SearchComponent.prototype.setFilter = function (event) {
        this.filter = event;
    };
    return SearchComponent;
}());
SearchComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'app-search',
                template: "<div class=\"search\"> <div class=\"col-lg-9 col-lg-offset-3 col-md-9 col-md-offset-3 col-sm-12 col-xs-12\"> <search-input (listResult)=\"setResult($event)\" [filter]=\"filter\" #searchInput></search-input> </div> <div class=\"col-lg-3\" *ngIf=\"true\"> <app-filter-pro (filterOutput)=\"setFilter($event); searchInput.search()\"></app-filter-pro> </div> <div class=\"col-lg-9 col-md-9  col-sm-12 col-xs-12\" *ngIf=\"true\"> <search-result-pro [result]=\"returnSearch\" infiniteScroll [infiniteScrollDistance]=\"0\" [infiniteScrollThrottle]=\"5000\" (scrolled)=\"onScrollDown(); searchInput.updateSearch()\"></search-result-pro> </div> </div>",
                styles: [".search { text-align: center; margin: 10px auto; } "]
            },] },
];
/**
 * @nocollapse
 */
SearchComponent.ctorParameters = function () { return []; };
SearchComponent.propDecorators = {
    'showResults': [{ type: core.Input },],
    'showFilters': [{ type: core.Input },],
};

var SearchGeneralModule = (function () {
    function SearchGeneralModule() {
    }
    /**
     * @param {?} environments
     * @return {?}
     */
    SearchGeneralModule.forRoot = function (environments) {
        return {
            ngModule: SearchGeneralModule,
            providers: [
                SearchService,
                { provide: 'environments', useValue: environments },
            ]
        };
    };
    return SearchGeneralModule;
}());
SearchGeneralModule.decorators = [
    { type: core.NgModule, args: [{
                imports: [
                    ngxInfiniteScroll.InfiniteScrollModule,
                    common.CommonModule,
                    http.HttpModule,
                    platformBrowser.BrowserModule,
                    forms.FormsModule,
                    material.MatSelectModule,
                    material.MatInputModule,
                    material.MatCardModule,
                    ng2Truncate.TruncateModule
                ],
                declarations: [
                    SearchComponent,
                    SearchInputComponent,
                    SearchTopComponent,
                    ResultJobComponent,
                    ResultProComponent,
                    FilterJobComponent,
                    FilterProComponent
                ],
                exports: [
                    SearchComponent,
                    SearchInputComponent,
                    SearchTopComponent,
                    ResultJobComponent,
                    ResultProComponent,
                    FilterJobComponent,
                    FilterProComponent
                ]
            },] },
];
/**
 * @nocollapse
 */
SearchGeneralModule.ctorParameters = function () { return []; };

exports.SearchGeneralModule = SearchGeneralModule;
exports.SearchComponent = SearchComponent;
exports.SearchService = SearchService;
exports.SearchInputComponent = SearchInputComponent;
exports.ResultProComponent = ResultProComponent;
exports.SearchTopComponent = SearchTopComponent;
exports.FilterProComponent = FilterProComponent;

Object.defineProperty(exports, '__esModule', { value: true });

})));
